<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:frmwrk="Corel Framework Data">
  <xsl:output method="xml" encoding="UTF-8" indent="yes"/>
  <frmwrk:uiconfig>
    <frmwrk:applicationInfo userConfiguration="true" />
  </frmwrk:uiconfig>
  
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="uiConfig/items">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>

      <!-- Zig-Zag Tool -->
      <itemData guid="1c3ad59d-a013-4992-a24f-36ea43555a85"
                type="groupedRadioButton"
                currentActiveOfGroup="*Bind(DataSource=WAppDataSource;Path=ActiveTool;BindType=TwoWay)"
                enable="*Bind(DataSource=WAppDataSource;Path=ToolboxEnable)"
                identifier="1c3ad59d-a013-4992-a24f-36ea43555a85"/>

      <!-- Zig-Zag Tool Height spinner -->
      <itemData guid="bf9012b1-da00-ae84-4c97-b0bb84d50288"
                type="spinner"
                displayUnit="*Bind(DataSource=DocumentPrefsDS;Path=XRulerUnit)"
                internalUnit="*Bind(DataSource=DocumentPrefsDS;Path=XRulerUnit)"
                increment="0.01 in; 0.1 mm; 0.5 pt; 1 px; 0,0.5 cc; 1.0 q"
                incrementSpeed="*Bind(DataSource=WAppDataSource;Path=FastIncreaseSpeed)"
                numDecimalPlaces="*Bind(DataSource=WPrefsApp;Path=DrawingPrecision)"
                rangeMin="0.001"
                rangeMax="10000"
                resolution="*Bind(DataSource=DocumentPrefsDS;Path=HPixelResolution)"
                scale="*Bind(DataSource=DocumentPrefsDS;Path=WorldScale)"
                showUnit="true"
                leftLabelIcon="guid://1cedaa4d-680a-a4a8-4dd8-ae5a438377f6"
                value="*Bind(DataSource=AppPrefMgr;Path=ZigZagTool/Height;BindType=TwoWay)"/>

      <!-- Zig-Zag Tool Distance spinner -->
      <itemData guid="0ea2a92d-7706-c190-4ab2-7d3e9c04b897"
                type="spinner"
                displayUnit="*Bind(DataSource=DocumentPrefsDS;Path=XRulerUnit)"
                internalUnit="*Bind(DataSource=DocumentPrefsDS;Path=XRulerUnit)"
                increment="0.01 in; 0.1 mm; 0.5 pt; 1 px; 0,0.5 cc; 1.0 q"
                incrementSpeed="*Bind(DataSource=WAppDataSource;Path=FastIncreaseSpeed)"
                numDecimalPlaces="*Bind(DataSource=WPrefsApp;Path=DrawingPrecision)"
                rangeMin="0.001"
                rangeMax="10000"
                resolution="*Bind(DataSource=DocumentPrefsDS;Path=HPixelResolution)"
                scale="*Bind(DataSource=DocumentPrefsDS;Path=WorldScale)"
                showUnit="true"
                leftLabelIcon="guid://46327bd4-8bad-41c5-aba1-efa770b8e2c8"
                value="*Bind(DataSource=AppPrefMgr;Path=ZigZagTool/Distance;BindType=TwoWay)"/>

      <!-- Outline Color-->
      <itemData guid="4090621f-1936-5aae-4101-ab6dafe418a6"
                captionRef="ed207303-2973-34ae-4e80-8060268fb0b1"
                icon="guid://ed207303-2973-34ae-4e80-8060268fb0b1"
                type="cellCombo"
                showAmbiguous="*Bind(DataSource=OutlinePropertiesDS;Path=ColorAmbiguous)"
                currentItem="*Bind(DataSource=OutlinePropertiesDS;Path=ColorItem;BindType=TwoWay)"
                gridSize="(6,8)"
                items="*Bind(DataSource=WCuiFillDS;Path=ColorListIncludingNone)"
                otherBtnText="*Bind(DataSource=WCuiFillDS;Path=ColorListButtonText;BindType=OneTime)"
                onInvokeOtherBtn="*Bind(DataSource=OutlinePropertiesDS;Path=InvokeColorDialog)"
                onInvokeEyedropper="*Bind(DataSource=OutlinePropertiesDS;Path=InvokeColorEyedropper)"/>

    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>